import {Component, CUSTOM_ELEMENTS_SCHEMA} from '@angular/core';
import {Tutorial} from '../../models/tutorial.model';
import {TutorialService} from '../../services/tutorial.service';
import {MatCard, MatCardContent, MatCardHeader} from '@angular/material/card';
import {MarkdownComponent} from 'ngx-markdown';

@Component({
  selector: 'app-tutorials.component',
  imports: [
    MatCard,
    MatCardContent,
    MatCardHeader,
    MarkdownComponent
  ],
  templateUrl: './tutorials.component.html',
  styleUrl: './tutorials.component.scss',
  schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class TutorialsComponent {
  tutorials?: Tutorial[];

  constructor(private tutorialService: TutorialService) {
    this.retrieveTutorials();
  }

  // ngOnInit(): void {
  //   this.retrieveTutorials();
  // }

  retrieveTutorials(): void {
    this.tutorialService.getAll()
      .subscribe(
        data => {
          this.tutorials = data;
          console.log(data);
        },
        error => {
          console.log(error);
        });
  }
}
